https://github.com/curl/curl/commit/f1d09231adfc695d15995b9ef2c8c6e568c28091
From: Daniel Stenberg <daniel@haxx.se>
Date: Wed, 15 Feb 2023 13:03:21 +0100
Subject: [PATCH] runtests: fix "uninitialized value $port"

by using a more appropriate variable

Reported-by: fundawang on github
Fixes #10518
Closes #10520
--- a/tests/runtests.pl
+++ b/tests/runtests.pl
@@ -1740,7 +1740,7 @@ sub runhttpserver {
     }
 
     # where is it?
-    my $port;
+    my $port = 0;
     if(!$port_or_path) {
         $port = $port_or_path = pidfromfile($portfile);
     }
@@ -1758,7 +1758,7 @@ sub runhttpserver {
     $pid2 = $pid3;
 
     if($verbose) {
-        logmsg "RUN: $srvrname server is on PID $httppid port $port\n";
+        logmsg "RUN: $srvrname server is on PID $httppid port $port_or_path\n";
     }
 
     return ($httppid, $pid2, $port);
